summaryrefslogtreecommitdiff
path: root/wireless-regdb.install
diff options
context:
space:
mode:
Diffstat (limited to 'wireless-regdb.install')
-rw-r--r--wireless-regdb.install16
1 files changed, 16 insertions, 0 deletions
diff --git a/wireless-regdb.install b/wireless-regdb.install
new file mode 100644
index 0000000..cc224a7
--- /dev/null
+++ b/wireless-regdb.install
@@ -0,0 +1,16 @@
+post_install() {
+ echo "Uncomment the right regulatory domain in /etc/conf.d/wireless-regdom."
+ echo "It will automatically be set on boot."
+ echo "Modified domains are 00, CN, GB
+ post_upgrade
+}
+
+post_upgrade() {
+ # If crda is installed, we verify the integrity of the database
+ # If not, we skip this step silently
+ if [ -x /usr/bin/regdbdump ]; then
+ if ! /usr/bin/regdbdump /usr/lib/crda/regulatory.bin > /dev/null; then
+ echo "Failed to verify the integrity of the wireless regulatory database, CRDA will not work."
+ fi
+ fi
+}